# Class: SeedWeeklyPlayerDataPatch

## SeedWeeklyPlayerDataPatch()

A data patch which fetches all of the player stats for a range of weeks and creates WeeklyPlayerStat records for all players for all weeks. This builds the base of data we need to calculate the weekly team standings.

## Constructor

#### new SeedWeeklyPlayerDataPatch()

Source:
  - app/SeedWeeklyPlayerData.patch.js, line 18

##### Example

    P = require('./app/SeedWeeklyPlayerData.patch')
    p = _di.make(P)
    await p.run()

### Extends

- Injectable

### Methods

#### (async) run() → {Promise.<void>}

Run the patch.

Source:
  - app/SeedWeeklyPlayerData.patch.js, line 27

##### Returns:

Type
  Promise.<void>